#!/usr/local/bin/perl

                # The following script simply displays a sample HTML form
                # which takes advantage of the form_processor script.
                # This form shows how one might use the script to
                # create a jump box for other URLs
                #
                # It is important to note that you don't actually need to
                # embed your HTML forms in CGI scripts.  You could simply
                # write them as plain old HTML files.  However, because
                # some servers do not allow you to place HTML files in the
                # same directory as your CGI files, I have made everything
                # CGI so that the demo distribution files would work for
                # everyone, everywhere.
                #
                # The script begins by sending out the http header as
                # usual and then uses the qq operator to print out the    
                # entire HTML document.
                #
                # However, since we are using a CGI to display our form,
                # we must be careful to escape special Perl characters
                # like "@" and make sure that we do not include any tilde
                # characters in our text since we are using the tilde as a
                # print delimiter with the qq operator.
                #
                # There are only two things that you must include in EVERY
                # form that uses the form_processor.cgi backend.  Firstly,
                # you must reference form_processor.cgi in the <FORM> tag,
                # and secondly, you must define the setup file which
                # form_processor.cgi should use to process the form using
                # the special hidden variable "setup file"
                #
                # Finally, there is one optional tag which can be used to
                # modify how the script handles email.  If you include a 
                # field called "client_email", then the email which is
                # sent to the admin with all of the client-submitted data
                # will be sent as if it were coming from the email
                # associated with client_email.  Thus, in this example,
                # the client can type in their email in the text box and
                # then email will be sent from that address.  This makes
                # it easier to respond directly to the client if
                # necessary.  If the client does not fill in the box, the
                # script will use the default email address defined in the
                # setup file.                     

print "Content-type: text/html\n\n";

print qq!
<HTML>
<HEAD>
<TITLE>Jump Form</TITLE>
</HEAD>
<BODY BGCOLOR = "FFFFFF" TEXT = "000000">

<FORM ACTION = "../form_processor.cgi" METHOD = "POST">

<INPUT TYPE = "hidden" NAME = "setup_file" VALUE = "jump.setup">

<BLOCKQUOTE>
<TABLE BORDER = "0">
<TH>Desired Page</TH>
<TD><SELECT NAME = "page">
<OPTION SELECTED VALUE = "http://www.eff.org/~erict/Library/Struggle">The Struggle E-Zine
<OPTION VALUE = "http://www.eff.org/~erict/">Selena's Home
<OPTION VALUE = "http://www.eff.org/~erict/Personal/">Eric's Bio
<OPTION VALUE = "http://www.eff.org/~erict/Personal/Name">Selena's Bio
</SELECT></TD>
</TR>


</TABLE>

<P>
<CENTER>
<INPUT TYPE = "submit" VALUE = "Submit this information.">
</CENTER>
</BLOCKQUOTE>
</FORM>
</BODY>
</HTML>!;
